Bug 4586 - конфигурация "маршрутизатор"
: конфигурация "маршрутизатор"
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/drakxtools)
: 2.4
: all Linux
: P2 enhancement
Assigned To:
:
:
:
: 4476
: 3459
  Show dependency tree
 
Reported: 2004-07-01 20:08 by
Modified: 2008-02-15 18:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-01 20:08:57
Конфигурация router. На первый взгляд нету traceroute, mtr и zebra.
------- Comment #1 From 2004-07-01 21:42:42 -------
И iputils тоже.
------- Comment #2 From 2004-07-02 17:22:47 -------
iputils и zebra ставятся по дефолту, mtr можно выбрать
------- Comment #3 From 2004-07-02 17:41:05 -------
Тогда я переформулирую. Часть пакетов из моего списка должна быть включенной и
в
других группах. Часть должна включаться при выборе группы "router". Часть
должна
реагировать и на включение других групп, я думаю. Группа "router" должна быть
по
умолчанию выключена. Таким образом, при установке должно быть достаточно снять
все группы и включить "router", чтобы мы получили после установки все
перечисленные пакеты без хлама вроде XFree86, шрифтов и т.д. В этом смысл и
заключается, а иначе всё равно настройка после установки сводится к
выбрасыванию
лишних пакетов.
Нужна дополнительная информация?
------- Comment #4 From 2004-07-02 17:51:50 -------
настройка после установки нужна все равно, это данность,
от которой с нынешним инсталлером не уйти за разумные
сроки.

Я, разумеется, могу оттюнить группу router на
твои персональные предпочтения. Но в таком случае
это нужно делать тайно :)

В качестве отчета о проделанной работе замечу,
что включение группы 'роутер' с выключением
всех прочих позволяет получить инсталляцию без
'хлама вроде ...' и далее по тексту, хотя
и не всех пакетов из твоего списка. In progress.
------- Comment #5 From 2004-07-02 18:14:45 -------
кстати говоря, компонента contrib в мастер не попадет --
рекомендую начать проталкивать необходимые пакеты 
(буде таковые там обнаружатся) в master
------- Comment #6 From 2004-07-02 18:49:35 -------
в частности:
ethtool
finger*
ifplugd
ifstat
iftop
iperf
net-snmp*
p0f
------- Comment #7 From 2004-07-02 19:10:35 -------
> Я, разумеется, могу оттюнить группу router на
> твои персональные предпочтения. Но в таком случае
> это нужно делать тайно :)
Это не мои предпочтения, а суровая реальность сетевых администраторов.
Пакеты постараюсь протолкнуть.
------- Comment #8 From 2004-07-05 00:06:16 -------
Что у меня получается (B - base, M - master, C - classic):
B arpwatch
B bind-utils
B iproute2
B iputils
B ldetect
B less
B lftp
B mgetty
B minicom
B netcat
B net-tools
B ntpd
B openssh-clients
B openssh-server
B osec
B pciutils
B setserial
B shadow-edit
B shadow-groups
B telnet
B traceroute
B whois
M dhcp-server
M dlint
M ide-smart
M iproute-cbq
M iproute-htb
M ipsecadm
M iptables
M iptraf
M iptstate
M mtr
M nmap
M pptp-client
M pptpd
M sysstat
M tftp
M tftp-server
M trafshow
M trafshow-linux
M zebra
C ethtool
C finger
C ifplugd
C ifstat
C iftop
C iperf
C net-snmp
C net-snmp-utils
C p0f
?(obsolete) super-freeswan
?(junior/classic) ppp
?(castle/classic) tcpdump
------- Comment #9 From 2004-07-05 00:22:25 -------
У меня к следующим мантейнерам просьба продвинуть соответствующие пакеты в
ветку
master:

Michael Shigorin <mike@altlinux.ru>: ethtool, ifplugd, ifstat, iftop
Rider <rider@altlinux.ru>: finger
Serge Sergeev <ssv@altlinux.ru>: iperf
Konstantin Timoshenko <kt@altlinux.ru>: net-snmp, net-snmp-utils
Victor Forsyuk <force@altlinux.ru>: p0f
Maxim Tyurin <mrkooll@altlinux.ru>: super-freeswan (или пояснить, почему он в
obsolete)
Alexey Voinov <voins@altlinux.ru>: ppp
Dmitry V. Levin <ldv@altlinux.org>: tcpdump

Спасибо за внимание, дополнительные мнения приветствуются.
Обращаю внимание, что я немного дополнил оригинальный список.
------- Comment #10 From 2004-07-05 09:16:55 -------
(In reply to comment #5)
> кстати говоря, компонента contrib в мастер не попадет --

Вешать багу?..
------- Comment #11 From 2004-07-05 09:25:27 -------
(In reply to comment #9)
> Michael Shigorin <mike@altlinux.ru>: ethtool, ifplugd, ifstat, iftop

[done]
------- Comment #12 From 2004-07-05 10:14:57 -------
Компонента contrib в Master попадает, перемещение в компоненту Master Стас
сделает после утверждения окончательного списка пакетов.
------- Comment #13 From 2004-07-05 10:21:22 -------
super-freeswan в obsolete ибо переименован в openswan
------- Comment #14 From 2004-07-05 10:25:25 -------
(In reply to comment #13)
> super-freeswan в obsolete ибо переименован в openswan
Если в умелых руках он работает из поставки с учётом ядра и прочих нюансов, то я
тоже его прошу в master и в этот список вместо super-freeswan.
------- Comment #15 From 2004-07-05 10:40:47 -------
>> super-freeswan в obsolete ибо переименован в openswan
>Если в умелых руках он работает из поставки с учётом ядра и прочих нюансов, то я
> тоже его прошу в master и в этот список вместо super-freeswan.

Я уже написал чтоб его включили. После наложения патчей на super-freeswan он
практически не отличается от openswan потому и был переименован.
------- Comment #16 From 2004-07-05 16:06:53 -------
нет пакетов :
traceroute
mtr
finger
ifstat
iftop
iperf
net-snmp
p0f
super-freeswan
ppp
tcpdump

Есть пакеты :
zebra
iputils
ethtool
ifplugd
------- Comment #17 From 2004-07-05 18:07:59 -------
Где нет?
------- Comment #18 From 2004-07-08 20:06:52 -------
Master-2.4 beta 20040707
Нету:
openssh-clients
mgetty
minicom
setserial
shadow-edit
shadow-groups
telnet
traceroute
whois
dhcp-server
dlint
pptp-client
tftp
tftp-server
trafshow-linux
iperf
net-snmp-utils
p0f

Остальноё всё есть, но я забыл упомянуть vlan-utils24 (обязательно нужны).
------- Comment #19 From 2004-07-09 18:29:53 -------
gq
mmkc
------- Comment #20 From 2004-07-09 18:56:55 -------
(In reply to comment #19)
> gq
> mmkc
> 
вероятно, имеется ввиду #4752
------- Comment #21 From 2004-08-02 18:18:13 -------
good enough
------- Comment #22 From 2004-08-11 15:54:16 -------
Всё тот же список (файл reqpackets), Master 2.4 beta 20040728:

# awk '{print $2}' < reqpackets | xargs rpm -q | fgrep '^warning'
warning: package mgetty is not installed
warning: package minicom is not installed
warning: package openssh-clients is not installed
warning: package pciutils is not installed
warning: package setserial is not installed
warning: package shadow-edit is not installed
warning: package shadow-groups is not installed
warning: package telnet is not installed
warning: package traceroute is not installed
warning: package whois is not installed
warning: package dhcp-server is not installed
warning: package dlint is not installed
warning: package pptp-client is not installed
warning: package tftp is not installed
warning: package tftp-server is not installed
warning: package trafshow-linux is not installed
warning: package iperf is not installed
warning: package net-snmp-utils is not installed
warning: package p0f is not installed
warning: package super-freeswan is not installed
------- Comment #23 From 2004-08-11 16:05:59 -------
Пакет super-freeswan погиб в неравной схватке с openswan

reqpackets пора немного обновить.
------- Comment #24 From 2004-08-11 16:13:48 -------
для mgetty, minicom, setserial есть галка communications
openssh-clients и telnet ставятся в текущем состоянии для этой группы (и
некоторых других)
pciutils ставятся в текущем состоянии по дефолту
s/freeswan/openswan/
shadow-xxx -- не есть неотъемлемая и даже сколько-нибудь значимая
часть роутера
pptp-client ставится
ну и так далее, я ж сказал -- good enough, остальные бы так


------- Comment #25 From 2004-08-11 16:18:25 -------
Как же они ставятся по дефолту, если я только что взял CD1, отметил
единственную
группу и произвёл установку? Не показалось же мне.
------- Comment #26 From 2004-08-11 16:21:37 -------
ну, после 20040728 жизнь не остановилась

------- Comment #27 From 2004-08-11 16:45:39 -------
iperf вот вообще нет на дисках
------- Comment #28 From 2004-08-11 16:47:18 -------
пенять майнтайнеру оного, за неперенос из contrib
------- Comment #29 From 2004-08-11 16:49:47 -------
(In reply to comment #12)
> Компонента contrib в Master попадает, перемещение в компоненту Master Стас
> сделает после утверждения окончательного списка пакетов.
?
p0f аналогично
------- Comment #30 From 2004-08-11 16:53:12 -------
и с аналогичным комментарием.
------- Comment #31 From 2004-11-12 11:48:24 -------
Что-то я zebra не вижу в финальной версии.
------- Comment #32 From 2008-02-15 18:43:16 -------
archiving